Jump to content

[1.7.2] Modding in eclipse problem while testing the mod


I_LordBacon_I

Recommended Posts

I dumped for while modding and I recently started again modding. Whenever I press the "Run" button in eclipse (the green dot with a triangle inside) but I get the following error:

 

____________________________________________________________________________________________________

[22:27:24] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker

[22:27:24] [main/INFO]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker

[22:27:24] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker

[22:27:24] [main/INFO]: Forge Mod Loader version 7.2.196.1082 for Minecraft 1.7.2 loading

[22:27:24] [main/INFO]: Java is Java HotSpot 64-Bit Server VM, version 1.8.0_31, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre1.8.0_31

[22:27:24] [main/INFO]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation

[22:27:24] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

[22:27:24] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker

[22:27:24] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

[22:27:24] [main/ERROR]: Unable to launch

java.util.ConcurrentModificationException

at java.util.ArrayList$Itr.checkForComodification(Unknown Source) ~[?:1.8.0_31]

at java.util.ArrayList$Itr.remove(Unknown Source) ~[?:1.8.0_31]

at net.minecraft.launchwrapper.Launch.launch(Launch.java:117) [launchwrapper-1.9.jar:?]

at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]

Java HotSpot 64-Bit Server VM warning: Using incremental CMS is deprecated and will likely be removed in a future release

____________________________________________________________________________________________________

 

 

 

 

How can I fix this error? I found a similar post but it is for forge client (http://www.minecraftforge.net/forum/index.php/topic,27100.0.html).

Link to comment
Share on other sites

I get a new crash:

 

 

_________________________________________________________________

[15:11:45] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker

[15:11:45] [main/INFO]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker

[15:11:45] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker

[15:11:45] [main/INFO]: Forge Mod Loader version 7.10.85.1230 for Minecraft 1.7.10 loading

[15:11:45] [main/INFO]: Java is Java HotSpot 64-Bit Server VM, version 1.8.0_31, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre1.8.0_31

[15:11:45] [main/INFO]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation

[15:11:45] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

[15:11:45] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker

[15:11:45] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

[15:11:45] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

[15:11:45] [main/INFO]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper

[15:11:46] [main/ERROR]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!

[15:11:49] [main/ERROR]: FML appears to be missing any signature data. This is not a good thing

[15:11:49] [main/INFO]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper

[15:11:49] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker

[15:11:49] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.TerminalTweaker

[15:11:49] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.TerminalTweaker

[15:11:49] [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}

[15:11:51] [main/ERROR]: Unable to launch

java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_31]

at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_31]

at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_31]

at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_31]

at net.minecraft.launchwrapper.Launch.launch(Launch.java:135) [launchwrapper-1.11.jar:?]

at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.11.jar:?]

Caused by: java.lang.UnsatisfiedLinkError: no lwjgl in java.library.path

at java.lang.ClassLoader.loadLibrary(Unknown Source) ~[?:1.8.0_31]

at java.lang.Runtime.loadLibrary0(Unknown Source) ~[?:1.8.0_31]

at java.lang.System.loadLibrary(Unknown Source) ~[?:1.8.0_31]

at org.lwjgl.Sys$1.run(Sys.java:73) ~[lwjgl-2.9.1.jar:?]

at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_31]

at org.lwjgl.Sys.doLoadLibrary(Sys.java:66) ~[lwjgl-2.9.1.jar:?]

at org.lwjgl.Sys.loadLibrary(Sys.java:95) ~[lwjgl-2.9.1.jar:?]

at org.lwjgl.Sys.<clinit>(Sys.java:112) ~[lwjgl-2.9.1.jar:?]

at net.minecraft.client.Minecraft.getSystemTime(Minecraft.java:2660) ~[Minecraft.class:?]

at net.minecraft.client.main.Main.main(SourceFile:72) ~[Main.class:?]

... 6 more

Java HotSpot 64-Bit Server VM warning: Using incremental CMS is deprecated and will likely be removed in a future release

_________________________________________________________________

 

 

I watched this video (

) and I executed the following steps:

 

 

--- I opened build.gradle and changed 'version = "1.7.2-1.0"' in line 20 to 'version = "1.7.10-1.0"' and 'version = "forge-1.7.2-10.12.1.1082"' in line 25 to 'version = "1.7.10-10.13.2.1230"'

 

--- I ran cmd inside the folder that eclipse works

 

--- I typed "gradlew setupDevWorkspace eclipse"

 

--- I got a succesful build

 

--- Finally I ran eclipse and the crash report appeared

 

 

 

 

What have I done wrong? Should I do something else?

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.